# The Plasma Handbook
    Sebastian Kugler
    Claus Christensen
    Ivan Stanton
#  Introduction
Plasma™ provides a modern and customizable environment for running your favorite applications and accessing your information wherever it may be. Other common attributes of the Plasma™ Desktop include advanced window management and desktop effects, support for Plasma Widgets, integrated search, hardware management and a high degree of customizability. Plasma™  is  simple by default and powerful when needed. This means that a user can configure pretty much anything about the desktop, but doesn't have to. It is KDE's flagship product.

This manual tells you how to use Plasma™ .
# 2 Using Plasma™ 
## 2.1 Plasma™  Components
Plasma™  is based on  the concepts of Widgets and Containments. Widgets are small applications that live in a containment. Containments are places to put these widgets.

The containments of the Plasma™  desktop are the panel and the desktop.
## 2.2 Default Desktop
The default plasma desktop consists of:
*The Desktop Toolbox, a menu in the top left corner, which gives you options regarding widgets and activities
*Hovering over the same corner will show all open apps
*A panel stretching across the bottom of the screen, including an application launcher, a pager, a task manager, a digital clock, a system tray, and a Panel Settings menu. Each of these are described in the following sections.
## 2.3 Default Widgets
Widgets are small applications that live in either the Plasma™ panel or the
Plasma™ desktop.
To change a widget to one with a similar function, right click on it (preferably an empty space inside it) and choose "Alternatives."
To change the settings for a widget called Widget, right click on it (preferably an empty space inside it) and click "Widget Settings."
### 2.3.2 Application Launchers
#### 2.3.2.1 Application Launcher
![Launcher](launcher.png)
The default launcher(cleverly named "Application Launcher") consists of 5 menus. These are seen in the part of the launcher closest to the panel.
KDE launchers have five categories: Favorites, Applications, Computer, History, and Leave.

One can simply search their files and folders by typing when focused on the application launcher.

Favorites lists apps you have marked as favorite. By default, these include a web browser, a software manager, a text editor, a setting manager, and a file manager.

Applications is divided into 10 categories. Most of them are self-explanatory. 
    *Development lists apps for those who create software. It has a subcategory for translation. 
    *Education is divided into subcategories like Mathematics, Miscellaneous, and Science. It includes everything relevant to academics and learning. 
    *Settings has configuration applications in it. 
    *Games, Graphics, Multimedia, Internet, and Settings are self-explanatory.
    *Office, Utilities, Lost and Found, and System contain everything that doesn't belong in other categories. They are otherwise self-explanatory.
Right clicking on an app under Applications allows you to add it to your Favorites or your panel.
Computer lists available data devices, along with system actions and important system folders.

History lists recently opened files and applications.

Leave has various actions for when you stop using your computer. It allows you lock the screen, log out, switch your user, reboot, suspend, or shut down.

#### 2.3.2.2 Application Dashboard

In addition to the default launcher, Plasma™ provides 2 other launchers: the Application Dashboard and the Application Menu. You can select an app menu by right-clicking on the current one and then "Alternatives."

Application Dashboard shows Favorites and Applications by default. On the right sidebar, all the default Applications categories are visible, in addition to Recent Applications and Recent Documents categories replacing History and a Power/Session category replacing Leave.

Interestingly, by selecting the option in the top-bar, one can add widgets via the Application Dashboard.

#### 2.3.2.3 Application Menu
![menu](menu.png)
Application Menu has the same categories as on the right sidebar of the Application Dashboard. Hovering over these categories opens a popup menu with the contents of them. Application Menu has a left sidebar with your favorite apps and some power options.

### 2.3.3 Pagers
#### 2.3.3.1 Desktop Pager
The Desktop Pager lets you switch between virtual desktops. It shows diagrams of all the windows on each desktop. Virtual desktops are explained in detail later.
#### 2.3.3.2 Activity Pager
The Activity Pager is like the Desktop Pager but with activities. Activities are explained later.
### 2.3.4 Task Managers
Task Managers list open windows. Right-clicking on an app in a task manager other than Window List allows you to do most anything that could be done in the header-bar, as well as moving it between desktops, starting a new instance of the same app, and pinning it to the task manager.
#### 2.3.4.1 Task Manager
Task Manager shows a list of open windows in the current activity with icons and window titles.
#### 2.3.4.2 Icons-only Task Manager
Icons-only Task Manager shows a list of open windows in the current activity with icons only.
#### 2.3.4.3 Window List
Window List is a panel icon which, when clicked, shows a list of open windows in the current activity with icons and window titles.
### 2.3.5 Clocks
Clocks tell the time. Clicking on a clock opens a calendar.
#### 2.3.5.1 Digital Clock
The Digital Clock shows the time in a digital format (Hour:Minute AM/PM).
#### 2.3.5.2 Analog Clock
The Analog Clock shows the time like a mechanical clock would.
#### 2.3.5.3 Fuzzy Clock
The Fuzzy Clock shows the time in the imprecise format you might sometimes use when talking to friends.
#### 2.3.5.4 Calendar
The Calendar shows the date of the month. When at a large size on the desktop, it shows a calendar by default.
### 2.3.6 System Tray
The System Tray is a collection of various widgets:
    *Menus/launchers for running, but closed applications
    *Wifi manager. Click on it for a list of available networks.
    *Device Notifier - Plug in a USB disk and a dialog will open that allows you to open the device in Dolphin or another associated application. Can be used as a standalone widget.
    *Clipboard - clipboard viewer. Can be used as a standalone widget.
    *Volume Control - allows you to set volume for certain devices and applications. Can be used as a standalone widget.
    *Notifications - notifications from various apps
    *Battery Monitor - shows remaining batteries' capacity and whether it is charging. Also lets you change screen brightness
    *Updates - allows you to upgrade when upgrades are available. Can be used as a standalone widget.
    *Printers - lists connected printers
    *KDE Connect - allows you to view and manage connected smartphones and Android tablets
The System Tray shows only currently relevant widgets. For example, if the battery is charging or discharging, the Battery Monitor displays.
## 2.4 Additional Widgets
### 2.4.7 2D Plots
The 2D Plot applet allows you to enter an equation in the top bar, then see it plotted in a random color below.
### 2.4.8 Activities
The Activities widget is meant for panels. Clicking on it opens the Activity Manager in a sidebar to the left.
### 2.4.9 Activity Bar
The Activity Bar is like a task manager, except for activities.
### 2.4.10 Calculator
The Calculator is a basic elementary calculator app.
### 2.4.11 Color Picker
Click on the dropper button and then on a color to pick a color from the desktop. Hover over the color to get its hex number.
### 2.4.12 Comic Viewer
Allows you to view comics straight from the Internet. Requires one to install comics; this can be done through Discover or by going into the widget settings and clicking Get New Comics.
### 2.4.13 Monitoring Widgets
Monitoring widgets include activity graphs for various things.
#### 2.4.13.1 CPU Load Monitor
Monitors the overall CPU load as well as the load for each CPU core.
### Fifteen Puzzle
Fifteen Puzzle is a puzzle game in which fifteen number-blocks are scrambled and you have to reorganize them by sliding them around. It is similar to common sliding-image puzzles.
## 2.5 Panel Settings
If widgets are unlocked, then on the right of each panel there is a button which opens the Panel Settings menu. This menu allows you to change the size of the panel; drag the arrows pointing left to change the minimum width of the panel and drag the arrows pointing right to change the maximum width. The Screen Edge button acts like a handle to move the panel to any side of the screen. The Height button can be dragged up and down to change the height of the panel. Add Widgets and Add Spacer are self-explanatory. Under "More Settings, one can change the panel's alignment and visibility. That menu also allows the user to increase the panel's minimum size to it's maximum (Maximize Panel), remove the panel, and prevent widgets from being edited(Lock Widgets).
## 2.6 Adding Widgets
To add widgets, right click on the desktop and go to "Add Widgets..." or click the same option under Panel Settings. This will open up a vertical menu on the left side of the screen to add widgets. 
The Get New Widgets button allows you to add widgets you've previously downloaded and download new Plasma™ widgets. Currently it supports native Plasmagik packages and some Mac® OS X dashboard widgets. Widgets you install this way can then be accessed just like regular, preinstalled widgets.
## 2.7 The Desktop
The desktop is in fact another containment. One that does not put size constraints on the applets. Applets can be moved and sized freely. On the unlocked desktop, Plasma™ widgets will show a frame when you move the mouse over them. This applet handle allows you to move, resize, relocate and realign the panel. It also allows you to drag Plasma™ widgets on the desktop. The buttons in the corner are used to resize, rotate configure and remove the applet. When rotated, a Plasma™ widget will act magnetic towards 12 o'clock, so it is easy to get them back into sensible position. By default, most applets keep their aspect ratio when they are being resized. If you want to freely resize an applet, hold the Ctrl key pressed while resizing.

Right clicking on the desktop and clicking Configure Desktop also offers you to configure aspects such as the wallpaper and the layout used, and the mouse actions. It offers to download new wallpapers through KNewStuff.

On the Tweaks page you can configure to hide the desktop Toolbox and adjust the widget handling.

To change the Plasma™ theme or download a new one through KNewStuff open the Appearance → Desktop Theme page in the System Settings.

With open applications, it quickly gets hard to see the Plasma™ widgets on your desktop. When opening menus that allow you to configure widgets and Activities, the window view is replaced with a Dashboard. All of the windows are moved to the corners and made translucent. This can also be achieved via the Show Desktop Widget
## 2.8 KRunner
KRunner is a versatile mini command-line. You can use it to start applications, open web pages, access bookmarks, search through your desktop data, calculate short equations, and many more. Pressing Alt+Space or Alt+F2 opens the KRunner dialog. You just start typing and KRunner will start searching matches as soon as you've entered more than two characters. You can open the settings dialog to learn about KRunner’s functionality, provided by plugins. You can navigate through the matches using the tab and arrow keys.
Use the ![Configure](krunner-configure.png) button to open the Plasma Search System Settings module and configure where and what to search for in KRunner.

KRunner supports “Desktop Actions” which are additional actions an application can offer to perform common actions or jump directly to a certain task from Task Manager. Common examples are Open New Incognito Window to open your browser directly in private mode, Compose Email without launching the full-fledged email client first or take photos with the actions provided by Spectacle.

If you press the Down key in an empty KRunner a history of the recent entities is shown. After invoking a search result, its query will move to the top, so repeatedly used commands never fall out of the list.

Remove single entries from the list using the red cross button or clear the complete history in the KRunner settings.

If you want to know what is going on on your system, pressing Ctrl+Esc gives you quick access to a list of windows and processes, with options to monitor their output and kill processes.
## 2.9 Activities and Virtual Desktops
### 2.9.1 Virtual Desktops
Each virtual desktop contains its own windows.

Virtual Desktops are disabled by default. To change this, go to System Settings -> Desktop Behavior -> Virtual Desktops and increase the number of desktops.
### 2.9.2 Activities
Each Activity has its own widgets and windows.

The desktop toolbox, accessed via the upper left corner has a button for displaying your activities, of which Plasma™ allows you to have more than one. Basically, that is multiple desktop containments hosting multiple sets of Plasma™ widgets. Display the “Activities” bar, select one of the predefined activities or choose Create Activity to create a new containment, select your new containment and customize suiting your taste. Plasma™’s activities and KWin’s desktop grid are similar in that respect, but there is a fundamental difference. While virtual desktop are used to group and organize windows, Plasma™’s activities are used to group and organize Plasma™ widgets. This way, you can switch between activities and have relevant Plasma™ widgets supporting the task you are currently trying to accomplish. You can create a “Free time” activity, with comic strips, a puzzle and other Plasma™ widgets, and a “Work” activity, with relevant RSS feeds, calculator and calendar, for example.

To delete an activity, press the Stop Activity button on “Activities” bar (press Alt+D then Alt+A to open this bar) then click the red 'X' (or press Alt+D then Alt+R) and confirm the deletion.

## 2.10 Shortcuts
Most of Plasma™’s functionality is also accessible through keyboard shortcuts. The various combinations should be pressed in sequence, that is for example Alt+D, A means: Press Alt and D, release and press A.

Currently, the following default shortcuts can be used:

    *Alt+D, A : Add Widgets

    *Alt+D, R :Remove Widget

    *Alt+D, L : Lock/Unlock Widgets
    *Meta+= : Zoom out
    *Meta+- : Zoom in
    *Alt+D, N : Next Widget

    *Alt+D, P : Previous Widget

    *Alt+D, S : Widget settings

    *Alt+D, Alt+A : Activities

    *Alt+D, Alt+R : Remove this Activity

    *Alt+D, Alt+S : Desktop Settings

    *Meta+Tab : Next Activity

    *Meta+Shift+Tab : Previous Activity

    *Ctrl+F12 : Show Desktop

    *Alt+D, T : Run the Associated Application

    *Meta+Tab : Open the Activities panel
# 3 Credits and License
Plasma™

Program copyright 2008 Aaron J. Seigo (aseigo kde.org)

Documentation Copyright (c) 2008–2010 Sebastian Kügler (sebas kde.org)

Partially rewritten by Ivan Stanton in 2017 (2112871 jeffcoschools.us) with input from Burkhard Lueck (null kde.org)

This documentation is licensed under the terms of the GNU Free Documentation License.
